function onBegin()
		disableRetry()
		disableMovement()
		player.ForceCameraUpdate = true
		enableMovement()
		enableRetry()
end



function onEnd(level, wasSkipped)
	if wasSkipped then
	      enableMovement()
	      enableRetry()
	end
end

